Get framework sections

Returns a list of framework sub-section summaries based on the parent parameter. In the case of no parent, or multiple parents, return the 'root' sections. There is no pagination for this endpoint. The maximum amount of sections is 1000.

Request Object

Regular pagination request filters. The pagination attributes will be ignored. All the filters for /posture/controls are available here as well.

Example filters

Get the subsection of section "4" in CIS framework:

POST /posture/controls/sections?parent=4

{
"innerFilters": [
{
"frameworkName": "CIS"
}
]
}
Query Params
string
required
string
Body Params

Generic pagination request body parameters

string
cursorV1
object
fieldsToUpdate
object

For PUT request, can be used to update only specific fields with specific values map of field name to new value

boolean

When true, the default sort order is ignored TODO: take it off, and use the default sort order when OrderBy is empty

innerFilters
array of objects

Which elements of the list to return, each field can hold multiple values separated by comma An empty map means "return the complete list"

innerFilters
string

How to order (sort) the list, field name + sort order (asc/desc), like https://www.w3schools.com/sql/sql_orderby.asp When empty, the default sort order is used. To disable the default sort order, set IgnoreDefaultSort to true

int64

One can leave it empty for 0, then call ValidatePageProperties

int64

properties of the requested next page Use ValidatePageProperties to set PageSize field

searchAfter
object
date-time
Defaults to since - begining og the time, until - now.
date-time
Response

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json